<script setup lang="ts">
import { useAppStore } from '@/stores/app'

const app = useAppStore()
</script>

<template>
  <footer class="mt-5 p-4 bg-gray-100 md:p-8 lg:p-10 dark:bg-gray-800 flex flex-row justify-center">
    <div class="max-w-screen-xl flex flex-col items-center">
      <div>
        <p class="text-gray-400 dark:text-gray-500">
          <a href="mailto:yearbook@agepoly.ch">yearbook@agepoly.ch</a>
        </p>
      </div>
      <a href="https://agepoly.ch" target="_blank" class="p-3">
        <img class="h-10" src="@/assets/agepoly-full.svg" alt="agepoly logo" />
      </a>

      <div>
        <RouterLink to="/logout" v-if="app.isSessionActive">
          <AppButton variant="text-faint">
            {{ $t('ui.logout') }}
          </AppButton>
        </RouterLink>
        <RouterLink to="/admin" v-if="app.isAdmin">
          <AppButton variant="text-faint"> Admin Panel </AppButton>
        </RouterLink>
        <AppButton @click="app.clearAdminKey" v-if="app.isAdmin" variant="text-faint">
          Clear admin key
        </AppButton>
      </div>
    </div>
  </footer>
</template>
